<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>mbigint_p</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="percentmbigint_o_s.html">&lt;&lt; mbigint_o_s</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentmbigint_p_bigint.html">mbigint_p_bigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a> &gt; mbigint_p</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">mbigint_p</h1>
    <p class="refpurpose">display bigint matrix</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">M :</span>
            <dd><p class="para">mbigint</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">a matrix of bigint is a mlist of type &#0039;mbigint&#0039; with two fields
<ul class="itemizedlist"><li><p class="para">value : the cell containing the matrix of bigint</p></li>
<li><p class="para">display : a string matrix (same size as &#0039;value&#0039;) with string representation of bigint to display</p></li></ul></p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">123456789</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">987654321</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">z</span><span class="scilaboperator">=</span><span class="scilabid">x</span><span class="scilaboperator">-</span><span class="scilabid">y</span><span class="scilabdefault">;</span>
<span class="scilabid">T</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://cell">cell</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">T</span><span class="scilabopenclose">{</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabopenclose">}</span><span class="scilaboperator">=</span><span class="scilabid">x</span><span class="scilabdefault">;</span>
<span class="scilabid">T</span><span class="scilabopenclose">{</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabopenclose">}</span><span class="scilaboperator">=</span><span class="scilabid">y</span><span class="scilabdefault">;</span>
<span class="scilabid">T</span><span class="scilabopenclose">{</span><span class="scilabnumber">2</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabopenclose">}</span><span class="scilaboperator">=</span><span class="scilabid">z</span><span class="scilabdefault">;</span>
<span class="scilabid">T</span><span class="scilabopenclose">{</span><span class="scilabnumber">2</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabopenclose">}</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">0</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">M</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://mlist">mlist</a><span class="scilabopenclose">(</span><span class="scilabopenclose">[</span><span class="scilabstring">&#0039;</span><span class="scilabstring">mbigint</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">display</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">value</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">]</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><a class="scilabcommand" href="scilab://string">string</a><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabopenclose">)</span> <a class="scilabcommand" href="scilab://string">string</a><span class="scilabopenclose">(</span><span class="scilabid">y</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <a class="scilabcommand" href="scilab://string">string</a><span class="scilabopenclose">(</span><span class="scilabid">z</span><span class="scilabopenclose">)</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">0</span><span class="scilabstring">&#0039;</span> <span class="scilabopenclose">]</span><span class="scilabdefault">,</span><span class="scilabid">T</span><span class="scilabopenclose">)</span>
<a class="scilabcommand" href="scilab://typeof">typeof</a><span class="scilabopenclose">(</span><span class="scilabid">M</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="mbigint.html" class="link">mbigint</a></li>
   <li class="member"><a href="bigint_p.html" class="link">bigint_p</a></li>
   <li class="member"><a href="scilab://string" class="link">string</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="percentmbigint_o_s.html">&lt;&lt; mbigint_o_s</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentmbigint_p_bigint.html">mbigint_p_bigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
